Package com.enonic.xp.inputtype

## Class InputTypeValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.enonic.xp.inputtype.InputTypeValidationException

- All Implemented Interfaces:
    `Serializable`

      public final class InputTypeValidationException
      extends RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InputTypeValidationException​(String message)` |
    `InputTypeValidationException​(String message, Object... args)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static InputTypeValidationException` | `invalidType​(Property property, ValueType... expectedTypes)` |
    `static InputTypeValidationException` | `invalidValue​(Property property, String message)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InputTypeValidationException

          public InputTypeValidationException​(String message)

    - #### InputTypeValidationException

          @Deprecated
          public InputTypeValidationException​(String message,
                                              Object... args)

      Deprecated.

  - ### Method Detail

    - #### invalidType

          public static InputTypeValidationException invalidType​(Property property,
                                                                 ValueType... expectedTypes)

    - #### invalidValue

          public static InputTypeValidationException invalidValue​(Property property,
                                                                  String message)